| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csInputEventHelper Class Reference
[Event handling]

Helper class to conveniently pull generic data out of input events. More...

`#include <csutil/event.h>`

List of all members.

## Static Public Member Functions
static uint | GetButton (iEventNameRegistry *, const iEvent *event)
| Retrieve button number (0 on error or if keyboard event).
static bool | GetButtonState (iEventNameRegistry *, const iEvent *event)
| Retrieve button/key state (true = press, false = release).

## Detailed Description

Helper class to conveniently pull generic data out of input events.

Definition at line 206 of file event.h.

## Member Function Documentation

static uint csInputEventHelper::GetButton | ( | iEventNameRegistry * | ,
|  | const iEvent * | event |
| ) |  |  | `[static]`

Retrieve button number (0 on error or if keyboard event).

static bool csInputEventHelper::GetButtonState | ( | iEventNameRegistry * | ,
|  | const iEvent * | event |
| ) |  |  | `[static]`

Retrieve button/key state (true = press, false = release).

The documentation for this class was generated from the following file:

- csutil/event.h